Skip to main content
GET
/
invoices
/
search
Buscar facturas
curl --request GET \
  --url https://facture.ar/api/invoices/search \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://facture.ar/api/invoices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://facture.ar/api/invoices/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/invoices/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "invoiceNumber": "<string>",
      "cae": "<string>",
      "caeExpirationDate": "2023-12-25",
      "qrCode": "<string>",
      "pdfUrl": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

x-api-key
string
header
required

API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.

Query Parameters

cuitId
string<uuid>

ID del CUIT

status
enum<string>

Estado de la factura

Available options:
pending,
processing,
completed,
failed
dateFrom
string<date>

Fecha desde (ISO 8601)

dateTo
string<date>

Fecha hasta (ISO 8601)

page
integer
default:1

Número de página

Required range: x >= 1
limit
integer
default:20

Elementos por página

Required range: 1 <= x <= 100

Response

200 - application/json

Búsqueda realizada exitosamente

data
object[]
meta
object